diff -rN swig1324/Lib/mzscheme/mzrun.swg swig1324a/Lib/mzscheme/mzrun.swg
5a6,8
>  *
>  * Last modified: 2005-03-29, Hans Oesterholt, hdnews -at- gawab -dot- com
>  * Reason:        mzscheme 30x alpha release.
12a16,51
> /* ----------------------------------------------------------------------- 
>  * mzscheme 30X support code 
>  * ----------------------------------------------------------------------- */
> 
> #ifndef SCHEME_STR_VAL
> #define MZSCHEME30X 1
> #endif
> 
> #ifdef MZSCHEME30X 
> /* 
>  * This is MZSCHEME 299.100 or higher (30x).
>  * From version 299.100 of mzscheme upwards,
>  * strings are in unicode. These functions convert
>  * to and from utf8 encodings of these strings.
>  * NB! strlen(s) will be the size in bytes of
>  * the string, not the actual length.
>  */
> #define SCHEME_STR_VAL(obj)  	       SCHEME_BYTE_STR_VAL(scheme_char_string_to_byte_string(obj))
> #define SCHEME_STRLEN_VAL(obj)         SCHEME_BYTE_STRLEN_VAL(scheme_char_string_to_byte_string(obj))
> #define SCHEME_STRINGP(obj)            SCHEME_CHAR_STRINGP(obj)
> #define scheme_make_string(s)          scheme_make_utf8_string(s)
> #define scheme_make_sized_string(s,l)  scheme_make_sized_utf8_string(s,l)
> #define scheme_make_sized_offset_string(s,d,l) \
>                    scheme_make_sized_offset_utf8_string(s,d,l)
> #endif
> 
> /* 
>  * Note: 
>  *
>  * Some changes for scheme_make_cptr() have been made further down this code.
>  */
> 
> /* ----------------------------------------------------------------------- 
>  * End of mzscheme 30X support code 
>  * ----------------------------------------------------------------------- */
> 
71a111
> #ifndef MZSCHEME30X
72a113,116
> #else
>     pointer = scheme_make_cptr((void *) &swig_mzscheme_runtime_data,
> 			       scheme_make_byte_string("swig_mzscheme_runtime_data"));
> #endif
184c228,232
<                                        NULL /* properties */);
---
>                                        NULL /* properties */
> #ifdef MZSCHEME30X
> 				       ,NULL /* Guard */
> #endif
> 				       );
diff -rN swig1324/Lib/mzscheme/mzscheme.swg swig1324a/Lib/mzscheme/mzscheme.swg
4a5,10
> /* 
>  * 2005-03-29, Support for mzscheme 30x: no changes necessary,
>  *             Hans Oesterholt, hdnews -at- gawab -dot- com
> */
> 
> 
diff -rN swig1324/Lib/mzscheme/std_common.i swig1324a/Lib/mzscheme/std_common.i
5a6,10
> //
> // 2005-03-29, Support for mzscheme 30x: no changes necessary,
> //             Hans Oesterholt, hdnews -at- gawab -dot- com
> //
> //
diff -rN swig1324/Lib/mzscheme/std_map.i swig1324a/Lib/mzscheme/std_map.i
5a6,9
> //
> // 2005-03-29, Support for mzscheme 30x: no changes necessary,
> //             Hans Oesterholt, hdnews -at- gawab -dot- com
> //
diff -rN swig1324/Lib/mzscheme/std_pair.i swig1324a/Lib/mzscheme/std_pair.i
5a6,8
> // 2005-03-29, Support for mzscheme 30x: no changes necessary,
> //             Hans Oesterholt, hdnews -at- gawab -dot- com
> //
6a10
> //
diff -rN swig1324/Lib/mzscheme/std_string.i swig1324a/Lib/mzscheme/std_string.i
5a6,10
> // Support for mzscheme 30x added 
> // Hans Oesterholt
> // hdnews -at- gawab -dot- com
> // 2005-03-28
> //
13a19,23
> //
> // 2005-03-29, Support for mzscheme 30x: no changes necessary,
> //             Hans Oesterholt, hdnews -at- gawab -dot- com
> //
> 
diff -rN swig1324/Lib/mzscheme/std_vector.i swig1324a/Lib/mzscheme/std_vector.i
5a6,9
> // 2005-03-29, Support for mzscheme 30x: no changes necessary,
> //             Hans Oesterholt, hdnews -at- gawab -dot- com
> //
> //
diff -rN swig1324/Lib/mzscheme/typemaps.i swig1324a/Lib/mzscheme/typemaps.i
4a5,8
> 
>    2005-03-29, Support for mzscheme 30x: no changes necessary,
>                Hans Oesterholt, hdnews -at- gawab -dot- com
> 
7a12,13
> 
> 
216a223,225
> /*
>  * This was the old 20x Scheme typemap
>  
220a230
> */
221a232,246
> SIMPLE_MAP(char *, SCHEME_STRINGP, SCHEME_STR_VAL, 
> 	   scheme_make_string, string);
> SIMPLE_MAP(const char *, SCHEME_STRINGP, SCHEME_STR_VAL, 
> 	   scheme_make_string, string);
> 
> /* 
>  * We cannot bind two scheme types to the same C type 
>  * So this binding should be used if you are not going to use
>  * UTF8 encodings in your C code.
> 
> SIMPLE_MAP(char *,SCHEME_BYTE_STRINGP, SCHEME_BYTE_STR_VAL,
> 	   scheme_make_byte_string_without_copying,bytestring);
> SIMPLE_MAP(const char *,SCHEME_BYTE_STRINGP, SCHEME_BYTE_STR_VAL,
> 	   scheme_make_byte_string_without_copying,bytestring);
> */
